/***************************************************************************
 *            ifaces.h
 *
 *  Mon Jun 27 04:56:18 2005
 *  Copyright  2005  Jaime Penalba Estebanez
 *  jpenalbae@gmail.com
 ****************************************************************************/

/*
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */
 
#include <pcap.h>
 
#ifndef _IFACES_H
#define _IFACES_H

#ifdef __cplusplus
extern "C"
{
#endif

	// Shitty globals
	char *ourmac;

	// Ifaces Configuration
	void setip(char * , char *, char *);
	int setmask(char *, char *);
	
	// Sniffer Functions
	void StartSniffer(char *);
	void ProccessPacket(u_char *, struct pcap_pkthdr *,const u_char *);
	void handle_ARP(struct pcap_pkthdr *, const u_char *);
	u_int16_t handle_ethernet(u_char *, struct pcap_pkthdr *, const u_char *);
		
	// ARP Generation & Injection
	void lnetInit(char *);
	void ForgeArp(char *, char *);
	void lnetDestroy();

#ifdef __cplusplus
}
#endif

#endif /* _IFACES_H */
